package de.ozgcloud.eingang.enterprise;

import java.util.List;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import de.ozgcloud.eingang.semantik.enginebased.EngineBasedSemantikAdapter;
import de.ozgcloud.eingang.semantik.enginebased.a12.A12EngineBasedAdapter;
import de.ozgcloud.eingang.semantik.enginebased.a12.A12EngineBasedMapper;

@Configuration
class EnterpriseAdapterConfiguration {

	@Bean
	EngineBasedSemantikAdapter engineBasedAdapter(List<A12EngineBasedMapper> mapper) {
		return new A12EngineBasedAdapter(mapper);
	}
}
