package de.ozgcloud.eingang.router;

import static de.ozgcloud.eingang.common.formdata.FormHeaderTestFactory.*;

import de.ozgcloud.vorgang.vorgang.GrpcEingangHeader;
import de.ozgcloud.vorgang.vorgang.GrpcServiceKonto;

public class GrpcEingangHeaderTestFactory {

	public static GrpcEingangHeader create() {
		return createBuilder().build();
	}

	public static GrpcEingangHeader.Builder createBuilder() {
		return GrpcEingangHeader.newBuilder()
				.setRequestId(REQUEST_ID)
				.setCreatedAt(CREATED_AT_STR)
				.setFormId(FORM_ID)
				.setFormEngineName(FORM_ENGINE_NAME)
				.setFormName(FORM_NAME)
				.setSender(SENDER)
				.setServiceKonto(GrpcServiceKonto.newBuilder().build())
				.setVorgangNummer(VORGANG_NUMMER);
	}
}
